package com.gyee.wisdom.alarm.sharding.config;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.*;

/**
 * 拦截器
* @ClassName: MyWebAppConfigurer
* @author gyee
* @date 2018年6月3日
*
 */
@Configuration
public class MyWebAppConfigurer  implements  WebMvcConfigurer  {
	
	private static Logger logger=LoggerFactory.getLogger(WebMvcConfigurationSupport.class);

	
	
	/** 解决跨域问题 **/
	@Override
	public void addCorsMappings(CorsRegistry registry){

        registry.addMapping("/**")
			// 设置允许跨域请求的域名
			.allowedOrigins("*")
			// 是否允许证书
			.allowCredentials(true)
			// 设置允许的方法
			.allowedMethods("GET", "POST", "DELETE", "PUT")
			// 设置允许的header属性
			.allowedHeaders("*")
				// 跨域允许时间
			.maxAge(3600);
			//super.addCorsMappings(registry);

	}
	

	
	
	
}
